<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 2. The Python API</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Developer's Guide" /><link rel="up" href="index.html" title="Synopsis Developer's Guide" /><link rel="prev" href="testing.html" title="Current Status: Regression Test Reports" /><link rel="next" href="pipeline.html" title="The Processor Pipeline" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. The Python API</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="testing.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="pipeline.html">Next</a></td></tr></table></div><div class="chapter" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title"><a id="python"></a>Chapter 2. The Python API</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="pipeline.html">The Processor Pipeline</a></span></dt><dt><span class="section"><a href="parsers.html">The Parsers (Cpp, C, Cxx)</a></span></dt><dt><span class="section"><a href="formatters.html">The HTML Formatter(s)</a></span></dt><dt><span class="section"><a href="python-tests.html">Python Regression Tests</a></span></dt></dl></div><p>
      The Python API in its current form is documented in the
      <a class="ulink" href="http://synopsis.fresco.org/docs/Tutorial" target="_top">Tutorial</a>, so only
      things that are specific to development are mentioned here. As explained in the
      previous chapter, synopsis was originally designed for code documentation. To
      support this, An 'Abstract Semantic Graph' representation is used. Only declarations
      are stored, together with comments preceeding them.
    </p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="testing.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="pipeline.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Current Status: Regression Test Reports </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> The Processor Pipeline</td></tr></table></div></body></html>
